#
# spec file for package python-scciclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-scciclient
Version:        0.5.0
Release:        13.1
Summary:        Python API and CLI for OpenStack Scci
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-fixtures
BuildRequires:  python-mock
BuildRequires:  python-oslo.serialization
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-python-subunit
BuildRequires:  python-requests-mock
BuildRequires:  python-setuptools
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch

%description
Client library for Scci built on the Scci API. It provides a Python API
(the scciclient module) and a command-line tool (scci).

%package doc
Summary:        Documentation for OpenStack Scci API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description doc
Client library for Scci built on the Scci API. It provides a Python API
(the scciclient module) and a command-line tool (scci).
This package contains the documentation.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup

%build
%py2_build

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%py2_install

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/scciclient
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
